# ItemFactory::ElementChild Class Reference

`#include <ItemFactory.hpp>`

List of all members.

## Public Member Functions

| ElementChild (const Node::Ptr &n)
| ElementChild (const Node::Ptr &n, bool c)
| operator const Node::Ptr & ()
const Node * | operator-> () const

## Public Attributes

Node::Ptr | node
bool | clone

## Constructor & Destructor Documentation

ItemFactory::ElementChild::ElementChild | ( | const Node::Ptr & | n | ) | `[inline]`

ItemFactory::ElementChild::ElementChild | ( | const Node::Ptr & | n,
|  | bool | c
| ) | `[inline]`

## Member Function Documentation

ItemFactory::ElementChild::operator const Node::Ptr & | ( |  | ) | `[inline]`

const Node* ItemFactory::ElementChild::operator-> | ( |  | ) | const`[inline]`

## Member Data Documentation

bool ItemFactory::ElementChild::clone

Node::Ptr ItemFactory::ElementChild::node

The documentation for this class was generated from the following file:

- ItemFactory.hpp